diff --git a/doc/src/sgml/indices.sgml b/doc/src/sgml/indices.sgml
index 1be209a2fe..2790fb2a89 100644
--- a/doc/src/sgml/indices.sgml
+++ b/doc/src/sgml/indices.sgml
@@ -705,15 +705,6 @@ CREATE INDEX test1_lower_col1_idx ON test1 (lower(col1));
 </programlisting>
   </para>
 
-  <para>
-   Expression indexes also allow control over the scope of unique indexes.
-   For example, this unique index prevents duplicate integer values from
-   being stored in a <type>double precision</type>-typed column:
-<programlisting>
-CREATE UNIQUE INDEX test1_uniq_int ON tests ((floor(double_col)))
-</programlisting>
-  </para>
-
   <para>
    If we were to declare this index <literal>UNIQUE</literal>, it would prevent
    creation of rows whose <literal>col1</literal> values differ only in case,
@@ -956,16 +947,22 @@ CREATE UNIQUE INDEX tests_success_constraint ON tests (subject, target)
     successful tests and many unsuccessful ones.
    </para>
 
-   <para>
-    This index allows only one null in the indexed column by using a
-    partial index clause to process only null column values, and using
-    an expression index clause to index <literal>true</literal> instead
-    of <literal>null</literal>:
+  </example>
+
+  <para>
+   This index allows only one null in the indexed column by using a
+   partial index clause to process only null column values, and using
+   an expression index clause to index <literal>true</literal> instead
+   of <literal>null</literal>:
 <programlisting>
 CREATE UNIQUE INDEX tests_target_one_null ON tests ((target IS NULL)) WHERE target IS NULL;
 </programlisting>
-   </para>
-  </example>
+   This index allows only one null value for each value in the first
+   referenced column:
+<programlisting>
+CREATE UNIQUE INDEX tests_combo_one_null ON tests (col1, (target IS NULL)) WHERE target IS NULL;
+</programlisting>
+  </para>
 
   <para>
    Finally, a partial index can also be used to override the system's
